[API]
DragQueryFileA
DragQueryFileW
Public DragFinish

[INCLUDE]
GenericInit
PeekS

[CODE]
Public Function DragQueryFileCount(ByVal hDrop As Long) As Long
  If IsUnicode Then
    DragQueryFileCount = DragQueryFileW(hDrop, -1&, 0&, 0&)
    Else
    DragQueryFileCount = DragQueryFileA(hDrop, -1&, 0&, 0&)
    End If
  End Function

Public Function DragQueryFile(ByVal hDrop As Long, ByVal Index As Long, ByRef ReturnString As String) As Boolean
  Dim xLong1 As Long
  
  ReturnString = ""
  If IsUnicode Then
    xLong1 = DragQueryFileW(hDrop, Index, ptrTemp, ptrTempSizeXW)
    Else
    xLong1 = DragQueryFileA(hDrop, Index, ptrTemp, ptrTempSizeX)
    End If
  If Not xLong1 = 0& Then
    ReturnString = PeekS(ptrTemp, xLong1)
    DragQueryFile = True
    End If
  End Function
